# ElGamal Decryption Hardware Implementation

### **ElGamal Decryption Algorithm:**

Input: Ciphertext 1 (c_1), Ciphertext 2 (c_2), SecretKey (x)
Output: Message (m)
Step 1: Compute s:=c_1ˆx
Step 2: Compute ell:=sˆ(-1)
Step 3: Compute m:=c_2.ell



### Folder description:

- '**D1**' - consists of default hardware design of ElGamal decryption where Fermat's Little Theorem is used for modular Inverse
  - '**rtl**' - consists of the rtl code
  - '**tb**' - consists of the testbench
  - '**ip**' - consists of dsp ips (use .xci files) for Xilinx Ultrascale+ FPGA (zu7eg) on Vivado 2019.2 
- '**D2**' - consists of hardware design where Fast GCD inverse is used for modular Inverse
  - '**rtl**' - consists of the rtl code
  - '**tb**' - consists of the testbench
  - '**ip**' - consists of dsp ips (use .xci files) for Xilinx Ultrascale+ FPGA (zu7eg) on Vivado 2019.2 

